// xstat (extended stat) header file
// functions to handle metafiles
// 
// Author: Pierre Lombard <pierre.lombard@imag.fr>
// Licence: GPLv2 or LGPLv2

#ifndef __XSTAT_H__
#define __XSTAT_H__

#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>

#define XSTAT_MAGIC 0xb00b0bb0

struct nstat {
	unsigned int magic;	// a magic number

	unsigned int seed;	// seed is planned to be used:
				// - to choose file location (start of striping)
				//  - and get sure of file unicity

	off_t realsize;		// the real size of the file
};

struct Xstat {
	struct stat mfstat;	// MetaFile STAT's: concerns the metafile
	struct nstat nstat;	// New STAT's: concerns the real file
};				// eXtended STATistics sTructure


int Xfstat(int filedes, struct Xstat *buf);
int Xstat(const char *file_name, struct Xstat *buf);
int Xlstat(const char *file_name, struct Xstat *buf);

#endif

